Loading...
Searching...
No Matches
MSThreads.hh File Reference
`#include <string>`
`#include <windows.h>`
Include dependency graph for MSThreads.hh:

Go to the source code of this file.

## Classes

class | log4shib::threading::MSMutex
| A simple object wrapper around CreateMutex() and DeleteMutex(). More...
class | log4shib::threading::MSScopedLock
| A simple object wrapper around WaitForSingleObject() and ReleaseMutex(). More...
class | log4shib::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Namespaces

namespace | log4shib
| The top level namespace for all 'Log for C++' types and classes.
namespace | log4shib::threading

## Macros

#define | NOGDI
#define | LOG4SHIB_UNDEFINE_NOGDI
#define | WIN32_LEAN_AND_MEAN
#define | LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

## Functions

static std::string | log4shib::threading::getThreadId ()
| Return an identifier for the current thread.

## Macro Definition Documentation

## LOG4SHIB_UNDEFINE_NOGDI

#define LOG4SHIB_UNDEFINE_NOGDI

## LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

#define LOG4SHIB_UNDEFINE_WIN32_LEAN_AND_MEAN

## NOGDI

#define NOGDI

## WIN32_LEAN_AND_MEAN

#define WIN32_LEAN_AND_MEAN